---

  - name: "define xcat commands & variables"
    shell: source /etc/profile.d/xcat.sh

  - name: "set dns and master node IP on site table"
#    become: true
    shell: |
      chdef -t site master="192.168.58.3"
      chdef -t site nameservers="192.168.58.3"
      chdef -t site forwarders="8.8.8.8,192.168.58.3"
  
  - name: "set default password for root user for managed nodes"
#    become: true
    shell: chtab key=system passwd.username=root passwd.password=aSdF@1234

  - name: "delete records on network table"
#    become: true
    shell: tabprune networks -a

  - name: "define network on the network table"
#    become: true
    shell: |
      mkdef -t network -o net1 \
      net=192.168.58.0 \
      mask=255.255.255.0 \
      mgtifname=enp0s8 \
      gateway=192.168.57.1 \
      dhcpserver=192.168.57.3 \
      nameservers="<xcatmaster>" \
      mtu="1500"

  - name: "copy OS ISO image to xcat management node"
#    become: true
    copy:
      src: /home/beshoy/ansible-config-xcat/roles/install-xcat/files/CentOS-8.5.2111-x86_64-dvd1.iso
      dest: /home/vagrant/

  - name: "add ISO to xcat"
#    become: true
    shell: | 
      copycds /home/vagrant/CentOS-8.5.2111-x86_64-dvd1.iso
      cp /install/centos8/x86_64/isolinux/ldlinux.c32 /tftpboot/
      chdef -t osimage -o centos8-x86_64-install-compute template=

  - name: "define frist node cn01"
#    become: true
    shell: |
      mkdef cn01 groups=all \
      mac="08:00:27:25:80:33" \
      ip="192.168.58.4" \
      netboot=pxe \
      arch=x86_64 \
      provmethod=centos8-x86_64-install-compute \
      xcatmaster=xcat

  - name: "define second node cn02"
#    become: true
    shell: |
      mkdef cn02 groups=all \
      mac="08:00:27:61:D4:07" \
      ip="192.168.58.5" \
      netboot=pxe \
      arch=x86_64 \
      provmethod=centos8-x86_64-install-compute \
      xcatmaster=xcat

  - name: "configure DHCP & DNS services"
#    become: true
    shell: |
      makedhcp -n
      makedns -n
      makedns -a
      makedhcp -a

  - name: "set OS image for cn02"
#    become: true
    shell: nodeset cn02 osimage=centos8-x86_64-install-compute

  - name: "set OS image for cn01"
#    become: true
    shell: nodeset cn01 osimage=centos8-x86_64-install-compute

  - name: "configure NTP service"
#    become: true
    shell: makentp -a

